comunidad_expertos_topic_list:
    pattern:  /temas/{page}/{order}
    defaults: { _controller: "WebelopingLanderBundle:Topic:list", order: numero-de-votos, page: 1 }
    methods:  [GET]
    requirements:
        page: \d+
        order: fecha|nombre-de-usuario|numero-de-votos|numero-de-respuestas|numero-de-visitas|titulo

comunidad_expertos_topic_search:
    pattern:  /temas/buscar/{q}/{page}
    defaults: { _controller: "WebelopingLanderBundle:Topic:search", q: ~, page: 1 }
    methods:  [GET]
    requirements:
        page: \d+

comunidad_expertos_topic_new:
    pattern:  /tema/nuevo
    defaults: { _controller: "WebelopingLanderBundle:Topic:new" }
    methods:  [GET,POST]

comunidad_expertos_topic_edit:
    pattern:  /tema/editar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:edit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_delete:
    pattern:  /tema/eliminar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:delete" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_show:
    pattern:  /tema/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:show" }
    methods:  [GET, POST]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_new:
    pattern:  /tema/responder/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:reply" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_edit:
    pattern:  /tema/editar-respuesta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:replyEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_delete:
    pattern:  /tema/eliminar-respuesta/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:deleteAnswer" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_vote_up:
    pattern:  /tema/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:voteUp" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_vote_down:
    pattern:  /tema/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:voteDown" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_favorite:
    pattern:  /tema/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:favorite" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_comment_new:
    pattern:  /tema/comentar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:comment" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_comment_edit:
    pattern:  /tema/editar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:commentEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_comment_delete:
    pattern:  /tema/eliminar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:deleteComment" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_spam:
    pattern:  /tema/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:spam" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_topic_reply_vote_up:
    pattern:  /tema/respuesta/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:answerVoteDown" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_topic_reply_vote_down:
    pattern:  /tema/respuesta/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:answerVoteDown" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_topic_reply_favorite:
    pattern:  /tema/respuesta/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:favoriteAnswer" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_topic_reply_spam:
    pattern:  /tema/respuesta/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:spamAnswer" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_topic_reply_comment_spam:
    pattern:  /tema/respuesta/comentario/spam/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:spamAnswerComment" }
    methods:  [GET]
    requirements:
        id: \d+
    
comunidad_expertos_topic_reply_comment_new:
    pattern:  /tema/comentar/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:comment" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_comment_edit:
    pattern:  /tema/respuesta/editar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:replyCommentEdit" }
    methods:  [GET,POST]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_comment_delete:
    pattern:  /tema/respuesta/eliminar-comentario/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:deleteAnswerComment" }
    methods:  [GET]
    requirements:
        id: \d+
        
comunidad_expertos_topic_reply_comment_vote_up:
    pattern:  /tema/respuesta/comentario/voto-positivo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:replyCommentAnswerVoteUp" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_comment_vote_down:
    pattern:  /tema/respuesta/comentario/voto-negativo/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:replyCommentAnswerVoteDown" }
    methods:  [GET]
    requirements:
        id: \d+

comunidad_expertos_topic_reply_comment_favorite:
    pattern:  /tema/respuesta/comentario/marcar-favorito/{id}
    defaults: { _controller: "WebelopingLanderBundle:Topic:favoriteAnswerComment" }
    methods:  [GET]
    requirements:
        id: \d+